Class | TMail::Parser
In: | lib/tmail/parser.rb
Parent: | Racc::Parser

### Methods

_reduce_none

### Constants

Racc_arg | = | [ racc_action_table, racc_action_check, racc_action_default, racc_action_pointer, racc_goto_table, racc_goto_check, racc_goto_default, racc_goto_pointer, racc_nt_base, racc_reduce_table, racc_token_table, racc_shift_n, racc_reduce_n, racc_use_result_var ]

Racc_token_to_s_table

=

[ '$end', 'error', 'DATETIME', 'RECEIVED', 'MADDRESS', 'RETPATH', 'KEYWORDS', 'ENCRYPTED', 'MIMEVERSION', 'CTYPE', 'CENCODING', 'CDISPOSITION', 'ADDRESS', 'MAILBOX', 'DIGIT', 'ATOM', '","', '":"', 'FROM', 'BY', '"@"', 'DOMLIT', 'VIA', 'WITH', 'ID', 'FOR', '";"', '"<"', '">"', '"."', 'QUOTED', 'TOKEN', '"/"', '"="', '$start', 'content', 'datetime', 'received', 'addrs_TOP', 'retpath', 'keys', 'enc', 'version', 'ctype', 'cencode', 'cdisp', 'addr_TOP', 'mbox', 'day', 'hour', 'zone', 'from', 'by', 'via', 'with', 'id', 'for', 'received_datetime', 'received_domain', 'domain', 'msgid', 'received_addrspec', 'routeaddr', 'spec', 'addrs', 'group_bare', 'commas', 'group', 'addr', 'mboxes', 'addr_phrase', 'local_head', 'routes', 'at_domains', 'local', 'word', 'dots', 'domword', 'atom', 'phrase', 'params', 'opt_semicolon']

Racc_debug_parser | = | false

### Public Instance methods

_reduce_none( val, _values)

reduce 108 omitted

[Source]

    # File lib/tmail/parser.rb, line 1123
     def _reduce_none( val, _values)
      val[0]
     end

[Validate]